org.apache.solr.schema

## Class SpatialTermQueryPrefixTreeFieldType

- java.lang.Object
- - org.apache.solr.schema.FieldProperties
  - - org.apache.solr.schema.FieldType
    - - org.apache.solr.schema.AbstractSpatialFieldType<T>
      - - org.apache.solr.schema.AbstractSpatialPrefixTreeFieldType<TermQueryPrefixTreeStrategy>
        - - org.apache.solr.schema.SpatialTermQueryPrefixTreeFieldType

- All Implemented Interfaces:
    SpatialQueryable

      public class SpatialTermQueryPrefixTreeFieldType
      extends AbstractSpatialPrefixTreeFieldType<TermQueryPrefixTreeStrategy>

  See Also:
    `TermQueryPrefixTreeStrategy`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.schema.FieldType

      `FieldType.DefaultAnalyzer, FieldType.MultiValueSelector`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.schema.AbstractSpatialPrefixTreeFieldType

      `DEFAULT_FIELD_VALUES_ARRAY_LEN, grid`

    - ### Fields inherited from class org.apache.solr.schema.AbstractSpatialFieldType

      `argsParser, ctx, DISTANCE, distanceUnits, FILTER_PARAM, FORMAT, NONE, RECIP_DISTANCE, SCORE_PARAM, shapeReader, shapeWriter, supportedScoreModes`

    - ### Fields inherited from class org.apache.solr.schema.FieldType

      `ANALYZER, args, CHAR_FILTER, CHAR_FILTERS, CLASS_NAME, docValuesFormat, falseProperties, FILTER, FILTERS, INDEX, INDEX_ANALYZER, MULTI_TERM, MULTI_TERM_ANALYZER, POLY_FIELD_SEPARATOR, postingsFormat, properties, QUERY, QUERY_ANALYZER, similarity, SIMILARITY, similarityFactory, TOKENIZER, trueProperties, TYPE, TYPE_NAME, typeName`

    - ### Fields inherited from class org.apache.solr.schema.FieldProperties

      `BINARY, DOC_VALUES, INDEXED, MULTIVALUED, OMIT_NORMS, OMIT_POSITIONS, OMIT_TF_POSITIONS, REQUIRED, SORT_MISSING_FIRST, SORT_MISSING_LAST, STORE_OFFSETS, STORE_TERMOFFSETS, STORE_TERMPAYLOADS, STORE_TERMPOSITIONS, STORE_TERMVECTORS, STORED, TOKENIZED, USE_DOCVALUES_AS_STORED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpatialTermQueryPrefixTreeFieldType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TermQueryPrefixTreeStrategy` | `newPrefixTreeStrategy(String fieldName)`

    - ### Methods inherited from class org.apache.solr.schema.AbstractSpatialPrefixTreeFieldType

      `getIndexAnalyzer, getQueryAnalyzer, init, newSpatialStrategy`

    - ### Methods inherited from class org.apache.solr.schema.AbstractSpatialFieldType

      `createField, createFields, createSpatialQuery, getDistanceUnits, getFieldQuery, getQueryFromSpatialArgs, getRangeQuery, getSortField, getSpatialContext, getSphereRadius, getStoredValue, getStrategy, getSupportedScoreModes, getUninversionType, getValueSource, getValueSourceFromSpatialArgs, isPolyField, newSpatialArgsParser, parseDistanceUnits, parseShape, parseSpatialArgs, shapeToString, write`

    - ### Methods inherited from class org.apache.solr.schema.FieldType

      `checkSchemaField, createField, getAnalyzerProperties, getClassArg, getDocValuesFormat, getIndexOptions, getNamedPropertyValues, getNonFieldPropertyArgs, getNumericType, getPostingsFormat, getPrefixQuery, getRewriteMethod, getSimilarity, getSimilarityFactory, getSingleValueSource, getStringSort, getTypeName, hasProperty, indexedToReadable, indexedToReadable, isExplicitAnalyzer, isExplicitQueryAnalyzer, isMultiValued, isTokenized, marshalBase64SortValue, marshalSortValue, marshalStringSortValue, multiValuedFieldCache, readableToIndexed, readableToIndexed, restrictProps, setArgs, setIndexAnalyzer, setIsExplicitAnalyzer, setIsExplicitQueryAnalyzer, setQueryAnalyzer, setSimilarity, storedToIndexed, storedToReadable, supportsAnalyzers, toExternal, toInternal, toNativeType, toObject, toObject, toString, unmarshalBase64SortValue, unmarshalSortValue, unmarshalStringSortValue, useDocValuesAsStored`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SpatialTermQueryPrefixTreeFieldType

          public SpatialTermQueryPrefixTreeFieldType()

  - ### Method Detail

    - #### newPrefixTreeStrategy

          protected TermQueryPrefixTreeStrategy newPrefixTreeStrategy(String fieldName)

      Specified by:
        `newPrefixTreeStrategy` in class `AbstractSpatialPrefixTreeFieldType<TermQueryPrefixTreeStrategy>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.